#!/usr/bin/env python3
# Copyright (c) Facebook, Inc. and its affiliates.

from augly.utils.asserts import (
    is_audio_file,
    is_image_file,
    is_video_file,
    validate_audio_path,
    validate_image_path,
    validate_output_path,
    validate_path,
    validate_rgb_color,
    validate_video_path,
)
from augly.utils.base_paths import (
    ASSETS_BASE_DIR,
    AUDIO_ASSETS_DIR,
    AUDIO_METADATA_PATH,
    EMOJI_DIR,
    FONTS_DIR,
    IMAGE_METADATA_PATH,
    IMG_MASK_DIR,
    METADATA_BASE_PATH,
    SCREENSHOT_TEMPLATES_DIR,
    TEMPLATE_PATH,
    TEXT_DIR,
    TEXT_METADATA_PATH,
    TEST_URI,
    VIDEO_METADATA_PATH,
)
from augly.utils.classes import Segment
from augly.utils.functions import compute_time_crop_segments
from augly.utils.constants import (
    BBOXES_PATH,
    DEFAULT_COLOR,
    DEFAULT_FRAME_RATE,
    DEFAULT_SAMPLE_RATE,
    DEFAULT_TEXT_INDICES,
    EMOJI_PATH,
    FONT_LIST_PATH,
    FONT_PATH,
    FUN_FONTS_PATH,
    IMG_MASK_PATH,
    MEME_DEFAULT_FONT,
    MISSPELLING_DICTIONARY_PATH,
    RED_RGB_COLOR,
    SILENT_AUDIO_PATH,
    SMILEY_EMOJI_DIR,
    SUPPORTED_LINE_TYPES,
    UNICODE_MAPPING_PATH,
    WHITE_RGB_COLOR,
)
from augly.utils.io import pathmgr


__all__ = [
    "ASSETS_BASE_DIR",
    "AUDIO_ASSETS_DIR",
    "AUDIO_METADATA_PATH",
    "EMOJI_DIR",
    "FONTS_DIR",
    "IMAGE_METADATA_PATH",
    "IMG_MASK_DIR",
    "METADATA_BASE_PATH",
    "SCREENSHOT_TEMPLATES_DIR",
    "TEXT_DIR",
    "TEXT_METADATA_PATH",
    "TEST_URI",
    "VIDEO_METADATA_PATH",
    "BBOXES_PATH",
    "CATALOG_CATEGORIES",
    "CATALOG_LANGUAGE_FAMILIES",
    "CATALOG_STYLES",
    "CATALOG_WEIGHTS",
    "DEFAULT_COLOR",
    "DEFAULT_FRAME_RATE",
    "DEFAULT_SAMPLE_RATE",
    "DEFAULT_TEXT_INDICES",
    "EMOJI_PATH",
    "FONT_LIST_PATH",
    "FONT_PATH",
    "FUN_FONTS_PATH",
    "IMG_MASK_PATH",
    "MEME_DEFAULT_FONT",
    "MISSPELLING_DICTIONARY_PATH",
    "RED_RGB_COLOR",
    "SILENT_AUDIO_PATH",
    "SMILEY_EMOJI_DIR",
    "SUPPORTED_LINE_TYPES",
    "TEMPLATE_PATH",
    "UNICODE_MAPPING_PATH",
    "WHITE_RGB_COLOR",
    "Segment",
    "compute_time_crop_segments",
    "is_audio_file",
    "is_image_file",
    "is_video_file",
    "pathmgr",
    "validate_audio_path",
    "validate_image_path",
    "validate_output_path",
    "validate_path",
    "validate_rgb_color",
    "validate_video_path",
]
